ChangeSet 1.1722.97.56, 2004/06/08 16:10:24-07:00, stern@rowland.harvard.edu

[PATCH] USB: Initialize endpoint autoconfig in g_file_storage

This one-line patch corrects a simple problem in the g_file_storage
driver.  It neglected to initialize the endpoint-autoconfiguration library
before using it.  Please apply.


Signed-off-by: Alan Stern <stern@rowland.harvard.edu>
Signed-off-by: Greg Kroah-Hartman <greg@kroah.com>


 drivers/usb/gadget/file_storage.c |    1 +
 1 files changed, 1 insertion(+)


diff -Nru a/drivers/usb/gadget/file_storage.c b/drivers/usb/gadget/file_storage.c
--- a/drivers/usb/gadget/file_storage.c	Fri Jun 18 10:58:02 2004
+++ b/drivers/usb/gadget/file_storage.c	Fri Jun 18 10:58:02 2004
@@ -3834,6 +3834,7 @@
 	}
 
 	/* Find all the endpoints we will use */
+	usb_ep_autoconfig_reset(gadget);
 	ep = usb_ep_autoconfig(gadget, &fs_bulk_in_desc);
 	if (!ep)
 		goto autoconf_fail;
